diff --git a/changelog b/changelog
index e27b0ee..53a4982 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100702 tpd src/axiom-website/patches.html 20100702.03.tpd.patch
+20100702 tpd src/input/Makefile segment test set choice from command line
 20100702 tpd src/axiom-website/patches.html 20100702.02.tpd.patch
 20100702 tpd src/doc/Makefile cleanly latex pure latex files
 20100702 mxr src/axiom-website/patches.html 20100702.01.mxr.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f8e34f7..5e7af7a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2964,5 +2964,7 @@ books/bookvol10.4 add Export3D<br/>
 books/bookvol10.3 add Dirichlet ring<br/>
 <a href="patches/20100702.02.tpd.patch">20100702.02.tpd.patch</a>
 src/doc/Makefile cleanly latex pure latex files<br/>
+<a href="patches/20100703.02.tpd.patch">20100702.03.tpd.patch</a>
+src/input/Makefile segment test set choice from command line<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 173db6b..6145a3d 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -458,7 +458,9 @@ TMPFN:=$(shell echo $$RANDOM)
 
 LISPTANGLE=${OBJ}/${SYS}/bin/lisp
 
-all: ${OUTS}
+all: alltests
+
+algebratests: ${OUTS}
 	@ echo 0 starting algebra regression testing
 	@ (cd ${MID} ; \
 	  ${TANGLE} -t8 -R"algebra.regress" ${SRC}/algebra/Makefile.pamphlet \
@@ -466,16 +468,16 @@ all: ${OUTS}
           ${MAKE} -f Makefile.algebra )
 	@ echo 1 finished ${INT}/input
 
-richtests: ${RICHTESTS}
+richtests: ${RICHTESTS} ${OUTS}
 	@ echo 1 running testset rich
  
-catstests: ${CATSTESTS}
+catstests: ${CATSTESTS} ${OUTS}
 	@ echo 2 running testset cats
 
-regresstests: ${REGRESSTESTS}
+regresstests: ${REGRESSTESTS} ${OUTS}
 	@ echo 2 running testset regress
  
-alltests: ${REGRESSTESTS} ${CATTESTS} ${RICHTESTS}
+alltests: regresstests catstests richtests algebratests ${OUTS}
 	@ echo 4 running all tests
  
 %.input: ${IN}/%.input.pamphlet
